diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEventType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEventType.java
index e2eb455ffe..2ff02dec33 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEventType.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEventType.java
@@ -24,8 +24,14 @@ import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
+import eu.etaxonomy.cdm.model.description.DescriptionBase;
+import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 
+/**
+ * @author m.doering
+ */
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "DerivationEventType")
 @XmlRootElement(name = "DerivationEventType")
@@ -37,15 +43,20 @@ public class DerivationEventType extends DefinedTermBase<DerivationEventType> {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(DerivationEventType.class);
 
+	private static final UUID uuidAccessioning = UUID.fromString("3c7c0929-0528-493e-9e5f-15e0d9585fa1");
+	private static final UUID uuidDnaExtraction = UUID.fromString("f9f957b6-88c0-4531-9a7f-b5fb1c9daf66");
 	private static final UUID uuidDuplicate = UUID.fromString("8f54c7cc-eb5e-4652-a6e4-3a4ba429b327");
+	private static final UUID uuidDuplicateSegregation = UUID.fromString("661e7292-6bcb-495d-a3cc-140024ae3471");
 	private static final UUID uuidGatheringInSitu = UUID.fromString("1cb2bd40-5c9c-459b-89c7-4d9c2fca7432");
+	private static final UUID uuidGrouping = UUID.fromString("f7fbfbbb-86c6-4a1f-afb8-028becd2987f");
+	private static final UUID uuidIndividualSelection = UUID.fromString("90a1062f-fa5b-4971-9990-4382e4ff70ba");
+	private static final UUID uuidIndividualCultivation = UUID.fromString("f8febad5-4b4d-40fa-80e0-d1f82d4f510c");
 	private static final UUID uuidTissueSampling = UUID.fromString("9dc1df08-1f31-4008-a4e2-1ddf7c9115da");
-	private static final UUID uuidDnaExtraction = UUID.fromString("f9f957b6-88c0-4531-9a7f-b5fb1c9daf66");
 	private static final UUID uuidVegetativPropagation = UUID.fromString("a4a8e4ce-0e58-462a-be67-a7f567d96da1");
-	private static final UUID uuidDuplicateSegregation = UUID.fromString("661e7292-6bcb-495d-a3cc-140024ae3471");
-	private static final UUID uuidAccessioning = UUID.fromString("3c7c0929-0528-493e-9e5f-15e0d9585fa1");
 	private static final UUID uuidSexualReproduction = UUID.fromString("aa79baac-165d-47ad-9e80-52a03776d8ae");
-
+	private static final UUID uuidPreparation = UUID.fromString("c868c472-4b60-4299-920a-a5698e4c26f4");
+	private static final UUID uuidCultivationExSitu = UUID.fromString("39d6d69c-17aa-4ece-a137-5ac47ed5d737");
+	
 	protected static Map<UUID, DerivationEventType> termMap = null;		
 	
 
@@ -67,18 +78,17 @@ public class DerivationEventType extends DefinedTermBase<DerivationEventType> {
 		return new DerivationEventType(term, label, labelAbbrev);
 	}
 	
-	/**
-	 * Constructor
-	 */
-	public DerivationEventType() {
+//********************************** Constructor *********************************/	
+
+  	//for hibernate use only
+  	@Deprecated
+  	protected DerivationEventType() {
+		super(TermType.DerivationEventType);
 	}
 	
 	
-	/**
-	 * Constructor
-	 */
-	public DerivationEventType(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	private DerivationEventType(String term, String label, String labelAbbrev) {
+		super(TermType.DerivationEventType, term, label, labelAbbrev);
 	}
 
 
@@ -98,6 +108,10 @@ public class DerivationEventType extends DefinedTermBase<DerivationEventType> {
 		return (DerivationEventType)termMap.get(uuid);
 	}
 	
+	/**
+	 * TODO distinguish from {@link #DUPLICATE_SEGREGATEION()}
+	 * @return
+	 */
 	public static final DerivationEventType DUPLICATE(){
 		return getTermByUuid(uuidDuplicate);
 	}
@@ -113,16 +127,75 @@ public class DerivationEventType extends DefinedTermBase<DerivationEventType> {
 	public static final DerivationEventType VEGETATIVE_PROPAGATION(){
 		return getTermByUuid(uuidVegetativPropagation);
 	}
+	/**
+	 * TODO distinguish from {@link #DUPLICATE()}
+	 * @return
+	 */
 	public static final DerivationEventType DUPLICATE_SEGREGATEION(){
 		return getTermByUuid(uuidDuplicateSegregation);
 	}
+	/**
+	 * The accessioning in a collection which usually results in an accession number.
+	 * @return
+	 */
 	public static final DerivationEventType ACCESSIONING(){
 		return getTermByUuid(uuidAccessioning);
 	}
 	public static final DerivationEventType SEXUAL_REPRODUCTION(){
 		return getTermByUuid(uuidSexualReproduction);
 	}
-
+	/**
+	 * Event which groups units (specimen, observations, samples).<BR>
+	 * This may be used if the deriving
+	 * unit is a composition of multiple single units (e.g. a specimen is based on mulitple 
+	 * herbaria sheets, which may be the case according to the {@link NomenclaturalCode#ICNAFP}).<BR>
+	 * Another important usage is the grouping of specimen to create a common {@link DescriptionBase description} of this specimen group.
+	 * This is a standard part of the scientific workflow when one works on a certain taxonomic group and examines 
+	 * the specimen.<BR>
+	 * Also it may be used if a larger specimen (e.g. a dinosaur skeleton) is composed of multiple {@link FieldUnit field units}.
+	 * @return
+	 */
+	public static final DerivationEventType GROUPING(){
+		return getTermByUuid(uuidGrouping);
+	}
+	/**
+	 * The extraction of 1 individual out of a sample including many individuals not necessarily all representing the
+	 * same taxon. Example: individualization of 1 algae from of a water sample for further reasearch and determination)
+	 * 
+	 * The extraction of 1 individual/organism out of any kind of sample (usually mixed samples with >1 taxa). 
+	 * The resulting individual may be used for a diversity of purposes like pure identification, 
+	 * image creation, further derivation, property assignment, ...)
+	 * @return The indidivualization event
+	 */
+	public static final DerivationEventType INDIVIDUAL_SELECTION(){
+		return getTermByUuid(uuidIndividualSelection);
+	}
+	/**
+	 * Extraction of 1 individual out of a sample and cultivation of this individual 
+	 * (usually resulting in sample of many similar individuals).
+	 * The individual cultivation event includes an {@link #INDIVIDUAL_SELECTION()} event
+	 * @return The individual cultivation event
+	 */
+	public static final DerivationEventType INDIVIDUAL_CULTIVATION(){
+		return getTermByUuid(uuidIndividualCultivation);
+	}
+	/**
+	 * The preparation of e.g. a living culture into a preparation which can be stored in a collection
+	 * (using certain preparation methods)
+	 * @return
+	 */
+	public static final DerivationEventType PREPARATION(){
+		return getTermByUuid(uuidPreparation);
+	}	
+	/**
+	 * Ex-situ cultivation.
+	 * @return
+	 */
+	public static final DerivationEventType CULTIVATION_EX_SITU(){
+		return getTermByUuid(uuidCultivationExSitu);
+	}	
+	
+	
 	@Override
 	protected void setDefaultTerms(TermVocabulary<DerivationEventType> termVocabulary) {
 		termMap = new HashMap<UUID, DerivationEventType>();
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java
index 05bca5b1af..162c8b91e2 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java
@@ -1,74 +1,372 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
 
 package eu.etaxonomy.cdm.model.occurrence;
 
+import java.util.HashSet;
+import java.util.Set;
+
+import javax.persistence.Entity;
+import javax.persistence.FetchType;
+import javax.persistence.ManyToOne;
+import javax.persistence.OneToMany;
+import javax.persistence.Transient;
+import javax.validation.constraints.Size;
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlElementWrapper;
+import javax.xml.bind.annotation.XmlIDREF;
+import javax.xml.bind.annotation.XmlRootElement;
+import javax.xml.bind.annotation.XmlSchemaType;
+import javax.xml.bind.annotation.XmlType;
 
 import org.apache.log4j.Logger;
+import org.hibernate.annotations.Cascade;
+import org.hibernate.annotations.CascadeType;
 import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.Analyze;
+import org.hibernate.search.annotations.Field;
 import org.hibernate.search.annotations.Indexed;
-import org.springframework.beans.factory.annotation.Configurable;
+import org.hibernate.search.annotations.IndexedEmbedded;
+import org.hibernate.validator.constraints.Length;
 
+import eu.etaxonomy.cdm.model.molecular.DnaSample;
+import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
+import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
-import eu.etaxonomy.cdm.strategy.cache.common.IdentifiableEntityDefaultCacheStrategy;
-
-import javax.persistence.*;
-import javax.xml.bind.annotation.XmlAccessType;
-import javax.xml.bind.annotation.XmlAccessorType;
-import javax.xml.bind.annotation.XmlRootElement;
 
 /**
- * @author p.kelbert
+ * A derived unit is regarded as derived from a field unit,
+ * so locality and gathering related information is captured as a separate FieldUnit object
+ * related to a specimen via a derivation event
+ * 
+ * http://www.bgbm.org/biodivinf/docs/CollectionModel/ReprintTNR.pdf
+ * http://www.bgbm.org/biodivinf/docs/CollectionModel/
+ * <BR>
+ * Type figures are derived units with at least a figure object in media
+ *
+ * @author m.doering
+ * @created 08-Nov-2007 13:06:52
+ *
  */
 @XmlAccessorType(XmlAccessType.FIELD)
+@XmlType(name = "DerivedUnit", propOrder = {
+    "collection",
+    "catalogNumber",
+    "storedUnder",
+    "derivedFrom",
+    "accessionNumber",
+    "collectorsNumber",
+    "barcode",
+	"preservation",
+	"exsiccatum",
+    "specimenTypeDesignations"
+})
 @XmlRootElement(name = "DerivedUnit")
 @Entity
-@Indexed(index = "eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase")
 @Audited
-@Configurable
-public class DerivedUnit extends DerivedUnitBase<IIdentifiableEntityCacheStrategy<DerivedUnit>> implements Cloneable{
-	private static final long serialVersionUID = 1L;
-	private static final Logger logger = Logger.getLogger(DerivedUnit.class);
+// even if hibernate complains "Abstract classes can never insert index documents. Remove @Indexed."
+// this is needed, otherwise the fields of the also abstract super class are missed during indexing
+@Indexed(index = "eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase")
+public class DerivedUnit extends SpecimenOrObservationBase<IIdentifiableEntityCacheStrategy> implements Cloneable{
+	private static final long serialVersionUID = -3525746216270843517L;
+
+	private static final Logger logger = Logger.getLogger(DnaSample.class);
+	
+	@XmlElement(name = "Collection")
+	@XmlIDREF
+	@XmlSchemaType(name = "IDREF")
+	@ManyToOne(fetch = FetchType.LAZY)
+	@Cascade(CascadeType.SAVE_UPDATE)
+	@IndexedEmbedded
+	private Collection collection;
+
+	@XmlElement(name = "CatalogNumber")
+	@Field(analyze = Analyze.NO)
+    //TODO Val #3379
+//	@NullOrNotEmpty
+	@Length(max = 255)
+	private String catalogNumber;
+
+	@XmlElement(name = "AccessionNumber")
+	@Field(analyze = Analyze.NO)
+    //TODO Val #3379
+//	@NullOrNotEmpty
+	@Length(max = 255)
+	private String accessionNumber;
+
+	@XmlElement(name = "CollectorsNumber")
+	@Field(analyze = Analyze.NO)
+    //TODO Val #3379
+//	@NullOrNotEmpty
+	@Length(max = 255)
+	private String collectorsNumber;
+
+	@XmlElement(name = "Barcode")
+	@Field(analyze = Analyze.NO)
+    //TODO Val #3379
+//	@NullOrNotEmpty
+	@Length(max = 255)
+	private String barcode;
+
+	@XmlElement(name = "StoredUnder")
+	@XmlIDREF
+	@XmlSchemaType(name = "IDREF")
+	@ManyToOne(fetch = FetchType.LAZY)
+	@Cascade(CascadeType.SAVE_UPDATE)
+	@IndexedEmbedded
+	private TaxonNameBase storedUnder;
+
+	@XmlElement(name = "DerivedFrom")
+	@XmlIDREF
+	@XmlSchemaType(name = "IDREF")
+	@ManyToOne(fetch = FetchType.LAZY)
+	@Cascade(CascadeType.SAVE_UPDATE)
+	@IndexedEmbedded(depth = 4)
+	private DerivationEvent derivedFrom;
+
+	@XmlElementWrapper(name = "SpecimenTypeDesignations")
+	@XmlElement(name = "SpecimenTypeDesignation")
+	@OneToMany(fetch = FetchType.LAZY, mappedBy = "typeSpecimen")
+	@Cascade({ CascadeType.SAVE_UPDATE, CascadeType.MERGE, CascadeType.DELETE })
+	private final Set<SpecimenTypeDesignation> specimenTypeDesignations = new HashSet<SpecimenTypeDesignation>();
+
+	
+//*** attributes valid only for preserved specimen (PreservedSpecimen, Fossil, DnaSample)
+	
+	@XmlElement(name = "Preservation")
+	@XmlIDREF
+	@XmlSchemaType(name = "IDREF")
+	@ManyToOne(fetch = FetchType.LAZY)
+	private PreservationMethod preservation;
+
+
+	@XmlElement(name = "Exsiccatum")
+    //TODO Val #3379
+//	@NullOrNotEmpty
+	@Field
+	@Size(max = 255)
+    private String exsiccatum;
+	
+// ******************** FACTORY METHOD **********************************/
+
+
+	public static DerivedUnit NewInstance(SpecimenOrObservationType type) {
+		return new DerivedUnit(type);
+	}
 	
 	/**
 	 * Factory method
 	 * @return
 	 */
-	public static DerivedUnit NewInstance(){
-		return new DerivedUnit();
+	public static DerivedUnit NewPreservedSpecimenInstance(){
+		DerivedUnit result = new DerivedUnit(SpecimenOrObservationType.PreservedSpecimen);
+		return result;
 	}
 	
+//************************** CONSTRUCTOR *********************************/	
+	
+	//Constructor: For hibernate use only
+	protected DerivedUnit() {super();}
+	
+	
 	/**
 	 * Constructor
+	 * @param recordBasis
+	 */
+	protected DerivedUnit(SpecimenOrObservationType recordBasis) {
+		super(recordBasis);
+	}
+	
+	
+	/**
+	 * Create new unit derived from an existing field unit
+	 * @param fieldUnit existing field unit from where this unit is derived
+	 */
+	protected DerivedUnit(SpecimenOrObservationType recordBasis, FieldUnit fieldUnit) {
+		super(recordBasis);
+		DerivationEvent derivedFrom = new DerivationEvent();
+		// TODO: should be done in a more controlled way. Probably by making derivation event implement a general relationship interface (for bidirectional add/remove etc)
+		fieldUnit.addDerivationEvent(derivedFrom);
+		derivedFrom.getOriginals().add(fieldUnit);
+		derivedFrom.getDerivatives().add(this);
+		this.setDerivedFrom(derivedFrom);
+	}
+	
+	/**
+	 * create new unit derived from an existing gathering event,
+	 * thereby creating a new empty field unit
+	 * @param gatheringEvent the gathering event this unit was collected at
+	 */
+	protected DerivedUnit(SpecimenOrObservationType recordBasis, GatheringEvent gatheringEvent) {
+		this(recordBasis, new FieldUnit());
+		FieldUnit field = (FieldUnit)this.getOriginalUnit();
+		field.setGatheringEvent(gatheringEvent);
+	}
+
+// ******************** GETTER / SETTER *************************************/
+	
+	public DerivationEvent getDerivedFrom() {
+		return derivedFrom;
+	}
+
+	public void setDerivedFrom(DerivationEvent derivedFrom){
+		if (getDerivedFrom() != null){
+			getDerivedFrom().getDerivatives().remove(derivedFrom);
+		}
+		this.derivedFrom = derivedFrom;
+		if (derivedFrom != null){
+			derivedFrom.addDerivative(this);
+		}
+	}
+
+	@Transient
+	public Set<SpecimenOrObservationBase> getOriginals(){
+		if(getDerivedFrom() != null){
+			return getDerivedFrom().getOriginals();
+		}
+		return null;
+	}
+
+	public Collection getCollection(){
+		return this.collection;
+	}
+
+	public void setCollection(Collection collection){
+		this.collection = collection;
+	}
+
+
+	public String getCatalogNumber() {
+		return catalogNumber;
+	}
+
+	public void setCatalogNumber(String catalogNumber) {
+		this.catalogNumber = catalogNumber;
+	}
+
+	public void setBarcode(String barcode) {
+		this.barcode = barcode;
+	}
+	public String getBarcode() {
+		return barcode;
+	}
+
+	public void setStoredUnder(TaxonNameBase storedUnder) {
+		this.storedUnder = storedUnder;
+	}
+
+	public String getAccessionNumber() {
+		return accessionNumber;
+	}
+
+
+	public void setAccessionNumber(String accessionNumber) {
+		this.accessionNumber = accessionNumber;
+	}
+
+	/**
+	 * Will be removed in future versions as semantics is not clear.
+	 * For accessing the collecting number use
+	 * {@link FieldUnit#getFieldNumber()} instead.
+	 * @return
+	 */
+	@Deprecated
+	public String getCollectorsNumber() {
+		return collectorsNumber;
+	}
+
+	/**
+	 * Will be removed in future versions as semantics is not clear.
+	 * For editing the collecting number use
+	 * {@link FieldUnit#getFieldNumber()} instead.
+	 * @return
 	 */
-	protected DerivedUnit() {
-		super();
-		this.cacheStrategy = new IdentifiableEntityDefaultCacheStrategy<DerivedUnit>();
+	@Deprecated
+	public void setCollectorsNumber(String collectorsNumber) {
+		this.collectorsNumber = collectorsNumber;
+	}
+
+	public TaxonNameBase getStoredUnder() {
+		return storedUnder;
+	}
+
+	public void addSpecimenTypeDesignation(SpecimenTypeDesignation specimenTypeDesignation){
+		if (specimenTypeDesignation.getTypeSpecimen() == this){
+			return ;
+		}else if (specimenTypeDesignation.getTypeSpecimen() != null){
+			specimenTypeDesignation.getTypeSpecimen().removeSpecimenTypeDesignation(specimenTypeDesignation);
+
+		}
+		specimenTypeDesignations.add(specimenTypeDesignation);
+		specimenTypeDesignation.setTypeSpecimen(this);
 	}
+
+	public void removeSpecimenTypeDesignation(SpecimenTypeDesignation specimenTypeDesignation){
+		if (specimenTypeDesignation == null){
+			return;
+		}
+		if (specimenTypeDesignations.contains(specimenTypeDesignation)){
+			specimenTypeDesignations.remove(specimenTypeDesignation);
+			specimenTypeDesignation.setTypeSpecimen(null);
+		}
+	}
+
+// ******* GETTER / SETTER for preserved specimen only ******************/
 	
-//*********** CLONE **********************************/	
+	public Set<SpecimenTypeDesignation> getSpecimenTypeDesignations(){
+		return specimenTypeDesignations;
+	}
 	
-	/** 
-	 * Clones <i>this</i> observation. This is a shortcut that enables to
-	 * create a new instance that differs only slightly from <i>this</i> observation
+	public PreservationMethod getPreservation(){
+		return this.preservation;
+	}
+
+	public void setPreservation(PreservationMethod preservation){
+		this.preservation = preservation;
+	}
+
+
+	public void setExsiccatum(String exsiccatum) {
+		this.exsiccatum = exsiccatum;
+	}
+
+	public String getExsiccatum() {
+		return exsiccatum;
+	}
+
+//*********** CLONE **********************************/
+
+	/**
+	 * Clones <i>this</i> derivedUnit. This is a shortcut that enables to
+	 * create a new instance that differs only slightly from <i>this</i> specimen
 	 * by modifying only some of the attributes.<BR>
-	 * This method overrides the clone method from {@link DerivedUnitBase DerivedUnitBase}.
-	 * 
-	 * @see DerivedUnitBase#clone()
+	 * This method overrides the clone method from {@link SpecimenOrObservationBase SpecimenOrObservationBase}.
+	 *
+	 * @see SpecimenOrObservationBase#clone()
 	 * @see eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity#clone()
 	 * @see java.lang.Object#clone()
 	 */
 	@Override
-	public DerivedUnit clone(){
+	public Object clone() {
 		try{
 			DerivedUnit result = (DerivedUnit)super.clone();
-			//no changes to: -
+			//collection
+			result.setCollection(this.collection);
+			//derivedFrom
+			result.setDerivedFrom(this.derivedFrom);
+			//storedUnder
+			result.setStoredUnder(this.storedUnder);
+			//preservation
+			result.setPreservation(this.preservation);
+			//no changes to: accessionNumber, catalogNumber, collectorsNumber
 			return result;
 		} catch (CloneNotSupportedException e) {
 			logger.warn("Object does not implement cloneable");
@@ -77,5 +375,5 @@ public class DerivedUnit extends DerivedUnitBase<IIdentifiableEntityCacheStrateg
 		}
 	}
 
-	
-}
\ No newline at end of file
+
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DeterminationEvent.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DeterminationEvent.java
index 7101ac0877..0f591f6782 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DeterminationEvent.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DeterminationEvent.java
@@ -37,6 +37,7 @@ import org.hibernate.search.annotations.IndexedEmbedded;
 import org.joda.time.Partial;
 
 import eu.etaxonomy.cdm.model.agent.AgentBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.EventBase;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
@@ -81,7 +82,7 @@ public class DeterminationEvent extends EventBase {
 	@XmlIDREF
 	@XmlSchemaType(name = "IDREF")
 	@ManyToOne(fetch = FetchType.LAZY)
-	private DeterminationModifier modifier;
+	private DefinedTerm modifier;
 	
 	@XmlElement(name = "PreferredFlag")
 	private boolean preferredFlag;
@@ -122,11 +123,11 @@ public class DeterminationEvent extends EventBase {
 		super();
 	}
 	
-	public DeterminationModifier getModifier() {
+	public DefinedTerm getModifier() {
 		return modifier;
 	}
 
-	public void setModifier(DeterminationModifier modifier) {
+	public void setModifier(DefinedTerm modifier) {
 		this.modifier = modifier;
 	}
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/FieldUnit.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/FieldUnit.java
new file mode 100644
index 0000000000..aaac31728c
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/FieldUnit.java
@@ -0,0 +1,214 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.model.occurrence;
+
+
+import java.beans.PropertyChangeEvent;
+import java.beans.PropertyChangeListener;
+
+import javax.persistence.Entity;
+import javax.persistence.FetchType;
+import javax.persistence.ManyToOne;
+import javax.validation.Valid;
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlIDREF;
+import javax.xml.bind.annotation.XmlRootElement;
+import javax.xml.bind.annotation.XmlSchemaType;
+import javax.xml.bind.annotation.XmlType;
+
+import org.apache.log4j.Logger;
+import org.hibernate.annotations.Cascade;
+import org.hibernate.annotations.CascadeType;
+import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.Field;
+import org.hibernate.search.annotations.Indexed;
+import org.hibernate.search.annotations.IndexedEmbedded;
+import org.hibernate.validator.constraints.Length;
+import org.springframework.beans.factory.annotation.Configurable;
+
+import eu.etaxonomy.cdm.model.agent.Person;
+import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
+import eu.etaxonomy.cdm.strategy.cache.common.IdentifiableEntityDefaultCacheStrategy;
+
+/**
+ * 
+ * In situ observation of a taxon in the field. If a specimen exists,
+ * in most cases a parallel field unit object should be instantiated and the specimen then 
+ * is "derived" from the field unit via derivation type "accessioning" or any other.
+ * 
+ * @author m.doering
+ * @created 08-Nov-2007 13:06:40
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlType(name = "FieldUnit", propOrder = {
+    "fieldNumber",
+    "primaryCollector",
+    "fieldNotes",
+    "gatheringEvent"
+})
+@XmlRootElement(name = "FieldUnit")
+@Entity
+@Indexed(index = "eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase")
+@Audited
+@Configurable
+public class FieldUnit extends SpecimenOrObservationBase<IIdentifiableEntityCacheStrategy<FieldUnit>> implements Cloneable{
+	private static final long serialVersionUID = -7586670941559035171L;
+	private static final Logger logger = Logger.getLogger(FieldUnit.class);
+
+	@XmlElement(name = "FieldNumber")
+	@Field
+    //TODO Val #3379
+//	@NullOrNotEmpty
+	@Length(max = 255)
+	private String fieldNumber;
+
+	@XmlElement(name = "PrimaryCollector")
+	@XmlIDREF
+	@XmlSchemaType(name = "IDREF")
+	@ManyToOne(fetch = FetchType.LAZY)
+    @Cascade( { CascadeType.SAVE_UPDATE })
+    @IndexedEmbedded(depth = 2)
+    @Valid
+	private Person primaryCollector;
+
+	@XmlElement(name = "FieldNotes")
+	@Field
+    //TODO Val #3379
+//	@NullOrNotEmpty
+	@Length(max = 255)
+	private String fieldNotes;
+
+	@XmlElement(name = "GatheringEvent")
+	@XmlIDREF
+	@XmlSchemaType(name = "IDREF")
+	@ManyToOne(fetch = FetchType.LAZY)
+    @Cascade( { CascadeType.SAVE_UPDATE })
+    @IndexedEmbedded(depth = 2)
+    @Valid
+	private GatheringEvent gatheringEvent;
+
+// *************** FACTORY METHOD *************************/
+
+	/**
+	 * Factory method.
+	 * @return
+	 */
+	public static FieldUnit NewInstance(){
+		return new FieldUnit();
+	}
+
+//****************************** CONSTRUCTOR **************************************/
+
+	/**
+	 * Constructor
+	 */
+	protected FieldUnit(){
+		super(SpecimenOrObservationType.FieldUnit);
+		this.cacheStrategy = new IdentifiableEntityDefaultCacheStrategy<FieldUnit>();
+	}
+
+// ************************ GETTER / SETTER *******************************************
+
+	public GatheringEvent getGatheringEvent() {
+    	return gatheringEvent;
+	}
+
+	public void setGatheringEvent(GatheringEvent gatheringEvent) {
+		this.gatheringEvent = gatheringEvent;
+		addGatheringEventPropertyChangeListener();
+	}
+
+
+	private void addGatheringEventPropertyChangeListener() {
+		if (gatheringEvent != null){
+			gatheringEvent.addPropertyChangeListener(getNewGatheringEventPropChangeListener());
+		}
+	}
+
+	/**
+	 * The collectors field number. If the collector is a team the field number
+	 * is taken from the field book of the primary collector.
+	 * @see #primaryCollector
+	 * @return
+	 */
+	public String getFieldNumber() {
+		return fieldNumber;
+	}
+
+	public void setFieldNumber(String fieldNumber) {
+		this.fieldNumber = fieldNumber;
+	}
+
+
+	/**
+	 * The primary collector is the person who the field books belongs to.
+	 * So the field number is also taken from him (his field book).
+	 * @see #fieldNumber
+	 * @param primaryCollector
+	 */
+	public void setPrimaryCollector(Person primaryCollector) {
+		this.primaryCollector = primaryCollector;
+	}
+
+	public Person getPrimaryCollector() {
+		return primaryCollector;
+	}
+
+	public String getFieldNotes() {
+		return fieldNotes;
+	}
+
+	public void setFieldNotes(String fieldNotes) {
+		this.fieldNotes = fieldNotes;
+	}
+
+	// *********** Listener *****************************/
+
+	private PropertyChangeListener getNewGatheringEventPropChangeListener() {
+		PropertyChangeListener listener = new PropertyChangeListener(){
+
+			@Override
+            public void propertyChange(PropertyChangeEvent event) {
+				firePropertyChange(event);
+			}
+
+		};
+		return listener;
+	}
+
+	//*********** CLONE **********************************/
+
+	/**
+	 * Clones <i>this</i> field unit. This is a shortcut that enables to
+	 * create a new instance that differs only slightly from <i>this</i> field unit
+	 * by modifying only some of the attributes.<BR>
+	 * This method overrides the clone method from {@link SpecimenOrObservationBase SpecimenOrObservationBase}.
+	 *
+	 * @see SpecimenOrObservationBase#clone()
+	 * @see eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity#clone()
+	 * @see java.lang.Object#clone()
+	 */
+	@Override
+	public FieldUnit clone(){
+		try{
+			FieldUnit result = (FieldUnit)super.clone();
+			//no changes to: fieldNotes, fieldNumber
+			return result;
+		} catch (CloneNotSupportedException e) {
+			logger.warn("Object does not implement cloneable");
+			e.printStackTrace();
+			return null;
+		}
+
+	}
+
+}
\ No newline at end of file
